export declare const completeCommand: import("../../../toolcraft/dist/index.js").Command<{
    [x: string]: never;
}, import("../../../toolcraft/dist/index.js").ObjectSchema<{
    readonly path: import("../../../toolcraft/dist/index.js").StringSchema;
    readonly reason: import("../../../toolcraft/dist/index.js").OptionalSchema<import("../../../toolcraft/dist/index.js").StringSchema>;
    readonly dryRun: import("../../../toolcraft/dist/index.js").OptionalSchema<import("../../../toolcraft/dist/index.js").BooleanSchema>;
}>, undefined, {
    dryRun?: true | undefined;
    path: string;
    state: "completed";
    reason: string | undefined;
}> & {
    readonly __agentKitCommandTypeInfo: import("../../../toolcraft/dist/index.js").CommandTypeInfo<"complete", import("../../../toolcraft/dist/index.js").ObjectSchema<{
        readonly path: import("../../../toolcraft/dist/index.js").StringSchema;
        readonly reason: import("../../../toolcraft/dist/index.js").OptionalSchema<import("../../../toolcraft/dist/index.js").StringSchema>;
        readonly dryRun: import("../../../toolcraft/dist/index.js").OptionalSchema<import("../../../toolcraft/dist/index.js").BooleanSchema>;
    }>, {
        dryRun?: true | undefined;
        path: string;
        state: "completed";
        reason: string | undefined;
    }, ("mcp" | "cli" | "sdk")[], undefined>;
};
